<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Sign Up</title>

    <link href="css/style.css" rel="stylesheet">
    <script src="./js/signup.js" type="module"></script>
</head>
<body>

<nav>
    <span class="brand">M5 Exercise</span>
    <div class="navbarMenu">
        <a href="search.html">Search</a>
    </div>
    <div id="navbarSignout">
        <span>Logged in as .</span>
        <button id="signout" type="button">Sign Out</button>
    </div>
    <div id="navbarSignin">
        <a href="signup.html">Sign Up</a>
    </div>
</nav>

<h1>Sign Up</h1>

<form action="search.html" method="get">
    <div>
        <label for="username">Username</label>
        <input id="username" name="username" type="text">
        <div class="text-danger">
            <small>Please choose a username.</small>
        </div>
    </div>
    <div>
        <label for="dob">Date of birth</label>
        <input id="dob"  name="dob" type="text">
        <div class="text-danger">
            <small>Please enter your date of birth.</small>
        </div>
    </div>
    <div>
        <label for="password">Password</label>
        <input id="password" name="password" type="password">
        <div class="text-danger">
            <small>Please enter a password.</small>
        </div>
    </div>
    <div>
        <label for="confirm_password">Confirm Password</label>
        <input id="confirm_password" name="confirm_password" type="password">
        <div class="text-danger">
            <small>Both passwords must match.</small>
        </div>
    </div>

    <div class="strength-meter">
        <button id="pass_very_weak" type="button"></button>
        <button id="pass_weak" type="button"></button>
        <button id="pass_ok" type="button"></button>
        <button id="pass_strong" type="button"></button>
    </div>

    <div>
        <input type="checkbox" name="agree" value="" id="agree">
        <label for="agree">
            I agree with everything.
        </label>
        <div class="text-danger">
            <small>You must agree to everything.</small>
        </div>
    </div>
    <button id="signup" type="button">Sign Up</button>
</form>

</body>
</html>
